be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1

## Enum CDCONTACTPERSONvalues

- java.lang.Object
- - java.lang.Enum<CDCONTACTPERSONvalues>
  - - be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDCONTACTPERSONvalues

- All Implemented Interfaces:
    Serializable, Comparable<CDCONTACTPERSONvalues>

      public enum CDCONTACTPERSONvalues
      extends Enum<CDCONTACTPERSONvalues>

  Java class for CD-CONTACT-PERSONvalues.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="CD-CONTACT-PERSONvalues">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="mother"/>
           <enumeration value="father"/>
           <enumeration value="child"/>
           <enumeration value="familymember"/>
           <enumeration value="spouse"/>
           <enumeration value="husband"/>
           <enumeration value="partner"/>
           <enumeration value="other"/>
           <enumeration value="brother"/>
           <enumeration value="sister"/>
           <enumeration value="brotherinlaw"/>
           <enumeration value="tutor"/>
           <enumeration value="notary"/>
           <enumeration value="lawyer"/>
           <enumeration value="employer"/>
           <enumeration value="grandparent"/>
           <enumeration value="son"/>
           <enumeration value="daughter"/>
           <enumeration value="grandchild"/>
           <enumeration value="neighbour"/>
           <enumeration value="stepson"/>
           <enumeration value="stepdaughter"/>
           <enumeration value="stepfather"/>
           <enumeration value="stepmother"/>
           <enumeration value="sisterinlaw"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BROTHER`
    `BROTHERINLAW`
    `CHILD`
    `DAUGHTER`
    `EMPLOYER`
    `FAMILYMEMBER`
    `FATHER`
    `GRANDCHILD`
    `GRANDPARENT`
    `HUSBAND`
    `LAWYER`
    `MOTHER`
    `NEIGHBOUR`
    `NOTARY`
    `OTHER`
    `PARTNER`
    `SISTER`
    `SISTERINLAW`
    `SON`
    `SPOUSE`
    `STEPDAUGHTER`
    `STEPFATHER`
    `STEPMOTHER`
    `STEPSON`
    `TUTOR`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CDCONTACTPERSONvalues` | `fromValue(String v)`
    `String` | `value()`
    `static CDCONTACTPERSONvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CDCONTACTPERSONvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MOTHER

          public static final CDCONTACTPERSONvalues MOTHER

    - #### FATHER

          public static final CDCONTACTPERSONvalues FATHER

    - #### CHILD

          public static final CDCONTACTPERSONvalues CHILD

    - #### FAMILYMEMBER

          public static final CDCONTACTPERSONvalues FAMILYMEMBER

    - #### SPOUSE

          public static final CDCONTACTPERSONvalues SPOUSE

    - #### HUSBAND

          public static final CDCONTACTPERSONvalues HUSBAND

    - #### PARTNER

          public static final CDCONTACTPERSONvalues PARTNER

    - #### OTHER

          public static final CDCONTACTPERSONvalues OTHER

    - #### BROTHER

          public static final CDCONTACTPERSONvalues BROTHER

    - #### SISTER

          public static final CDCONTACTPERSONvalues SISTER

    - #### BROTHERINLAW

          public static final CDCONTACTPERSONvalues BROTHERINLAW

    - #### TUTOR

          public static final CDCONTACTPERSONvalues TUTOR

    - #### NOTARY

          public static final CDCONTACTPERSONvalues NOTARY

    - #### LAWYER

          public static final CDCONTACTPERSONvalues LAWYER

    - #### EMPLOYER

          public static final CDCONTACTPERSONvalues EMPLOYER

    - #### GRANDPARENT

          public static final CDCONTACTPERSONvalues GRANDPARENT

    - #### SON

          public static final CDCONTACTPERSONvalues SON

    - #### DAUGHTER

          public static final CDCONTACTPERSONvalues DAUGHTER

    - #### GRANDCHILD

          public static final CDCONTACTPERSONvalues GRANDCHILD

    - #### NEIGHBOUR

          public static final CDCONTACTPERSONvalues NEIGHBOUR

    - #### STEPSON

          public static final CDCONTACTPERSONvalues STEPSON

    - #### STEPDAUGHTER

          public static final CDCONTACTPERSONvalues STEPDAUGHTER

    - #### STEPFATHER

          public static final CDCONTACTPERSONvalues STEPFATHER

    - #### STEPMOTHER

          public static final CDCONTACTPERSONvalues STEPMOTHER

    - #### SISTERINLAW

          public static final CDCONTACTPERSONvalues SISTERINLAW

  - ### Method Detail

    - #### values

          public static CDCONTACTPERSONvalues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CDCONTACTPERSONvalues c : CDCONTACTPERSONvalues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CDCONTACTPERSONvalues valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static CDCONTACTPERSONvalues fromValue(String v)

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.